import { BacktraceClientOptions, IBacktraceClientOptions } from 'backtrace-node';
export interface ILoggerOptions {
    logLevel: string;
    stackTrace: boolean;
    newline: boolean;
}
export declare class Logger {
    static getLogger(): Logger;
    /**
     * overrides the default logger instance or set the existing one.
     * @param logger the logger instance.
     */
    static setLogger(logger: Logger): void;
    static initializeBacktrace(opts: BacktraceClientOptions | IBacktraceClientOptions): void;
    private static _logger;
    private readonly transportLevel;
    private readonly options;
    constructor(logLevel?: string, options?: Partial<ILoggerOptions>);
    constructor(options?: Partial<ILoggerOptions>);
    trace(error: Error, data?: any, ...args: any[]): void;
    trace(data: any, ...args: any[]): void;
    info(error: Error, data?: any, ...args: any[]): void;
    info(data: any, ...args: any[]): void;
    warn(error: Error, data?: any, ...args: any[]): void;
    warn(data: any, ...args: any[]): void;
    debug(error: Error, data?: any, ...args: any[]): void;
    debug(data: any, ...args: any[]): void;
    error(error: Error, data?: any, ...args: any[]): void;
    error(error: Error, attributes: object, data?: any, ...args: any[]): void;
    error(data: any, ...args: any[]): void;
    error(data: any, attributes: object, ...args: any[]): void;
    log(level: string, error: Error, data?: any, ...args: any[]): void;
    log(level: string, data: any, ...args: any[]): void;
    private getTransportLevel;
    private defaultOptions;
}
