"use strict";
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorScope = void 0;
var ErrorScope = /** @class */ (function () {
    function ErrorScope() {
        this._attributeProviders = [];
    }
    ErrorScope.prototype.addAttributes = function (attributesOrProvider) {
        if (typeof attributesOrProvider === 'function') {
            this._attributeProviders.push(attributesOrProvider);
        }
        else {
            if (!this._attributes) {
                this._attributes = attributesOrProvider;
            }
            else {
                this._attributes = Object.assign(this._attributes, attributesOrProvider);
            }
        }
        return this;
    };
    /* tslint:enable:unified-signatures */
    /**
     * Retrieves all attributes. If there were any functions added,
     * they will be run to retrieve attributes.
     * @returns Attributes added previously or retrieved from the methods.
     */
    ErrorScope.prototype.getAttributes = function () {
        if (!this._attributeProviders.length) {
            return this._attributes;
        }
        return Object.assign.apply(Object, __spreadArray([{},
            this._attributes], this._attributeProviders.map(function (p) { return p(); }), false));
    };
    return ErrorScope;
}());
exports.ErrorScope = ErrorScope;
//# sourceMappingURL=errorScope.js.map