import { IServerConfiguration } from '../identity/model/serverConfiguration';
export declare const https = "https://";
export declare const http = "http://";
export declare const validUniverseDomains: string[];
/**
 * Backtrae universe utils
 */
export declare class UniverseHelper {
    /**
     * return Backtrace host url
     * @param urlString sample url to any Backtrace resource
     * Example:
     * https://yolo.sp.backtrace.io => https://yolo.sp.backtrace.io
     * https://sampleHostName.backtrace.io/blah/poop/doop => https://sampleHostName.backtrace.io
     */
    static getBacktraceHostName(urlString: string): string | undefined;
    /**
     * Get an universe name from Backtrace url.
     * @param urlString sample url to any Backtrace resource
     * Example:
     * https://yolo.sp.backtrace.io => yolo
     * https://sampleHostName.backtrace.io => sampleHostName
     */
    static getBacktaceUniverseName(urlString: string): string | undefined;
    static getBacktaceUniverseNameFromConf(conf: IServerConfiguration): string | undefined;
    static removeProtocol(str: string): string;
    static normalizeUrl(str: string): string;
}
